LLM Mentions Locations and Languages List


Using this endpoint you can get the full list of locations and languages supported in AI Optimization LLM Mentions API.

Note:chat_gpt data is available for the United States and English only.

Note: All locations in Russia and Belarus are not supported across all DataForSEO services due to the invasion of Ukraine.

checked GET
Pricing

Your account will not be charged for using this API

‌‌As a response of the API server, you will receive JSON-encoded data containing a tasks array with the information about available locations and languages.

Field nameTypeDescription
versionstring

the current version of the API

status_codeinteger

general status code
you can find the full list of the response codes here

status_messagestring

general informational message
you can find the full list of general informational messages here

timestring

execution time, seconds

costfloat

total tasks cost, USD

tasks_countinteger

the number of tasks in the tasks array

tasks_errorinteger

the number of tasks in the tasks array returned with an error

tasksarray

array of tasks

    idstring

task identifier
unique task identifier in our system in the UUID format

    status_codeinteger

status code of the task
generated by DataForSEO; can be within the following range: 10000-60000
you can find the full list of response codes here

    status_messagestring

informational message of the task
you can find the full list of general informational messages here

    timestring

execution time, seconds

    costfloat

cost of the task, USD

    result_countinteger

number of elements in the result array

    patharray

URL path

    dataobject

contains the parameters passed in the URL of the GET request

    resultarray

array of results

        location_codeinteger

location code

        location_namestring

full name of the location

        available_languagesarray

supported languages
contains the languages which are supported for a specific location

            available_platformsarray

supported LLM platforms
contains the sources of data supported for a specific location and language combination
only google and chat_gpt are currently available

            language_namestring

language name

            language_codestring

language code according to ISO 639-1

            responses_countinteger

number of LLM responses
the number of LLM responses available in the database for the certain location and language parameters

Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
curl --location --request GET "https://api.dataforseo.com/v3/ai_optimization/llm_mentions/locations_and_languages" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json" 
--data-raw ""
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
$client = new RestClient($api_url, null, 'login', 'password');

try {
   // using this method you can get a list of locations and languages
   // GET /v3/ai_optimization/llm_mentions/locations_and_languages
   $result = $client->get('/v3/ai_optimization/llm_mentions/locations_and_languages');
   print_r($result);
   // do something with result
} catch (RestClientException $e) {
   echo "n";
   print "HTTP code: {$e->getHttpCode()}n";
   print "Error code: {$e->getCode()}n";
   print "Message: {$e->getMessage()}n";
   print  $e->getTraceAsString();
   echo "n";
}
$client = null;
?>
const axios = require('axios');

axios({
    method: 'get',
    url: 'https://api.dataforseo.com/v3/ai_optimization/llm_mentions/locations_and_languages',
    auth: {
        username: 'login',
        password: 'password'
    },
    headers: {
        'content-type': 'application/json'
    }
}).then(function (response) {
    var result = response['data']['tasks'][0]['result'];
    // Result data
    console.log(result);
}).catch(function (error) {
    console.log(error);
});
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
# using this method you can get a list of locations and languages
# GET /v3/ai_optimization/llm_mentions/locations_and_languages
response = client.get("/v3/ai_optimization/llm_mentions/locations_and_languages")
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
    print(response)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
using Newtonsoft.Json;
using System;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task ai_optimization_llm_mentions_locations_and_languages()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            // using this method you can get a list of locations and languages
            // GET /v3/ai_optimization/llm_mentions/locations_and_languages
            var response = await httpClient.GetAsync("/v3/ai_optimization/llm_mentions/locations_and_languages");
            var result = JsonConvert.DeserializeObject(await response.Content.ReadAsStringAsync());
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (result.status_code == 20000)
            {
                // do something with result
                Console.WriteLine(result);
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}

The above command returns JSON structured like this:

{
  "version": "0.1.20251208",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "0.2168 sec.",
  "cost": 0,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "12171428-1535-0639-0000-0fa282d39873",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "0.1683 sec.",
      "cost": 0,
      "result_count": 92,
      "path": [
        "v3",
        "ai_optimization",
        "llm_mentions",
        "locations_and_languages"
      ],
      "data": {
        "api": "ai_optimization",
        "function": "locations_and_languages"
      },
      "result": [
        {
          "location_code": 2008,
          "location_name": "Albania",
          "available_languages": [
            {
              "available_platforms": [
                "google"
              ],
              "language_name": "Albanian",
              "language_code": "sq",
              "responses_count": 172
            }
          ]
        },
        {
          "location_code": 2012,
          "location_name": "Algeria",
          "available_languages": [
            {
              "available_platforms": [
                "google"
              ],
              "language_name": "French",
              "language_code": "fr",
              "responses_count": 119530
            },
            {
              "available_platforms": [
                "google"
              ],
              "language_name": "Arabic",
              "language_code": "ar",
              "responses_count": 196053
            }
          ]
        }
      ]
    }
  ]
}